<?/* October, 26th 2002 - MenuWorkshop v.[1.0.2] */

$pageTitle="Step 4 - Create images";
require "include/header.inc.php";
require "menuworkshop.conf";
displayStatus("Configuration File","Included");

// $deltaY : The space between lines is calculated with $textSize
$deltaY = $textSize+3;

displayStatus("Project \"<i>$projectName</i>\"","Beginning");
if ($extension=="png")	{
	$back = imagecreatefrompng("in/$normalBackground");
	$over = imagecreatefrompng("in/$selectedBackground");
	}
if ($extension=="gif") 	{
	$back = imagecreatefromgif("in/$normalBackground");
	$over = imagecreatefromgif("in/$selectedBackground");
	}
	
require "include/parsefile.inc.php";
$totalSize=0;
$x=$marginX;

// MENU TITLES
	for ($state=0;$state<=0;$state++)
	{	
	displayStatus("State #$state Menu Image","Created");
	$im = imagecreate(500,500);
	require ("textcolors.conf");
	ImageFilledRectangle($im,0,0,500,500,$black);
		if ($state==0) ImageCopy($im, $back, 0, 0,0,0, 500, 500);
		if ($state==1) ImageCopy($im, $over, 0, 0,0,0, 500, 500);
		
	$maxWidth[0]=0;
	for ($i=1;$i<=$menus;$i++)
		{
		$text=$menuText[$i];
		$size = imagettfbbox($textSize,0, $fontName,$text);
		$width = abs($size[2]-$size[0]);
		if ($maxWidth[0]<$width) $maxWidth[0]=$width;	
		$y=($i)*$deltaY-5+$errorY;
		if ($showShadow)
			ImageTTFText($im, $textSize, 0,$x-1,$y, $backColor[$state], $fontName, $text);
		for ($k=0;$k<=1;$k++)
			ImageTTFText($im, $textSize, 0,$x,  $y, $textColor[$state], $fontName, $text);
		}
	for ($i=1;$i<=$menus;$i++)
		{
		$text=$menuText[$i];
		$y=($i)*$deltaY-3;
		$slice=  imagecreate(2*$marginX+$maxWidth[0]+1,$deltaY);
		imagecopy($slice,$im, 0,0, $x-$marginX,$y-$deltaY+3,2*$marginX+$maxWidth[0]+1,$deltaY);
		$n=$i;
		if ($n<10) $n="0$n";
		$outFile = "${outDir}${imgDir}$projectName$state$n.$extension";
		if ($extension=="png") ImagePng($slice,$outFile);
		if ($extension=="gif") ImageGif($slice,$outFile);
		$totalSize+= filesize($outFile);
		ImageDestroy($slice);
		}
	ImageDestroy($im);
	displayStatus("State #$state Menu Image","Freed<br />");
	}

// MENUS CONTENT
for ($state=0;$state<=1;$state++)
{	
	displayStatus("State #$state Global Image","Created");
	$im = imagecreate(500,500);
	ImageFilledRectangle($im,0,0,500,500,$black);
	require ("textcolors.conf");
	for ($currentMenu=1;$currentMenu<=$menus;$currentMenu++)
		{
		if ($state==0) ImageCopy($im, $back, 0, 0,0,0, 500, 500);
		if ($state==1) ImageCopy($im, $over, 0, 0,0,0, 500, 500);
		$maxWidth[$currentMenu]=0;
		for ($i=1;$i<=$submenus[$currentMenu];$i++)
			{
			$text=$submenuText[$currentMenu][$i];
			$size = imagettfbbox($textSize,0, $fontName,$text);
			$width = abs($size[2]-$size[0]);
			if ($maxWidth[$currentMenu]<$width) $maxWidth[$currentMenu]=$width;
			$y=($i)*$deltaY-5+$errorY;
			if ($showShadow)
				ImageTTFText($im, $textSize, 0,$x-1,$y, $backColor[$state], $fontName, $text);
			for ($k=0;$k<=1;$k++)
				ImageTTFText($im, $textSize, 0,$x,  $y, $textColor[$state], $fontName, $text);
			}
		for ($i=1;$i<=$submenus[$currentMenu];$i++)
			{
			$text=$submenuText[$currentMenu][$i];
			$y=($i)*$deltaY-3;
			//imagerectangle($im,$x-1-$marginX,$y-$deltaY+3,$x+$maxWidth[$currentMenu]+$marginX,$y+2,$white);
			$slice=  imagecreate(2*$marginX+$maxWidth[$currentMenu]+1,$deltaY);
			imagecopy($slice,$im, 0,0, $x-$marginX,$y-$deltaY+3,2*$marginX+$maxWidth[$currentMenu]+1,$deltaY);
			$m=$currentMenu;
			if ($m<10) $m="0$m";
			$n=$i;
			if ($n<10) $n="0$n";
			$outFile = "${outDir}${imgDir}$projectName$state$m$n.$extension";
			if ($extension=="png") ImagePng($slice,$outFile);
			if ($extension=="gif") ImageGif($slice,$outFile);
			$totalSize+= filesize($outFile);
			ImageDestroy($slice);
			}
		displayStatus("State #$state Menu $currentMenu","Created (".$menuText[$currentMenu].")");
		}
	ImageDestroy($im);
	displayStatus("State #$state Global Image","Freed<br />");
	}
$kbsize=round($totalSize/102.4)/10;
displayStatus("Images Size",$totalSize." Bytes (".$kbsize." KBytes)");

$fout = fopen("include/sizes.inc.php", "w");
fputs ($fout, "<?\n");
$submenus[0]=1;

for ($currentMenu=0;$currentMenu<=$menus;$currentMenu++)
	{
	$maxWidth[$currentMenu] += 2*$marginX;
	fputs ($fout, "\$hSize[${currentMenu}] = ${maxWidth[$currentMenu]};\n");
	fputs ($fout, "\$vSize[${currentMenu}] = ".$deltaY*$submenus[$currentMenu].";\n");
	}
fputs ($fout, "?>");
fclose($fout);


displayStatus("Menus Properties","Memorized");

displayStatus("Project \"<i>$projectName</i>\"","Ended");
require "include/footer.inc.php";
?>