<?/* October, 26th 2002 - MenuWorkshop v.[1.0.2] */

/*
Opening menu file, parsing, and storing in the following arrays & variables :
$menus 		: number of menus
$menuText[]		: caption of each menu
$submenus[] 		: number of submenus in each menu
$submenuText[][]	: caption of each submenu;
$submenuURL[][]	: URL of each submenu;

Nota : The file must be stored under the following format...
*****************[ menu.txt ]*********************
0;MENU 1
1;Submenu 1 of Menu 1;	URL of menu 1, submenu 1.
1;Submenu 2 of Menu 1;	URL of menu 1, submenu 2.
1;Submenu 3 of Menu 1;	URL of menu 1, submenu 3.
0;MENU 2
1;Submenu 1 of Menu 2;	URL of menu 2, submenu 1.
1;Submenu 2 of Menu 2;	URL of menu 2, submenu 2.
etc...
**************************************************
You can use as many tabulations as you want to make the file look re-usable.
*/

$fin = fopen($menusFile, "r");
$menus=0;
while(!feof($fin))
	{
	
	$line=fgets ($fin,4096);
	$line=str_replace ("\r","",$line);
	$line=str_replace ("\n","",$line);
	$line=str_replace ("\t","",$line);
	if ($line)
		{
		list($level,$title,$url)=split(";",$line);
		if ($level==0) 	{
				$menus++;
				$submenus[$menus]=0;
				$menuText[$menus]=$title;
				}
		if ($level==1) 	{
				$submenus[$menus]++;
				$submenuText[$menus][$submenus[$menus]]=$title;
				$submenuURL[$menus][$submenus[$menus]]=$url;
				}
		}
	}
fclose($fin);
displayStatus("Menu Description File","($menusFile) Loaded & Parsed<br />");
?>