<?/* October, 26th 2002 - MenuWorkshop v.[1.0.2] */

$pageTitle="Step 7 - Menu Building";
require "include/header.inc.php";
require "positions.conf";
require "menuworkshop.conf";
require "include/parsefile.inc.php";
require "include/sizes.inc.php";

// A new file will be created in $outDir. So we remove this $outDir from the path to correctly access the images.
$newOutDir = $outDir;
$outDir = "";

// We'll put the JavaScript code (kinda heavy ;) in a separated file, theoretically kept in cache by user browser.
// Let's suppose we should gain time.
$HTMLoutput = "<script src=\"menus.js\"></script>\n";

// Get JavaScript code for Images declaration...
$buffer = "";
require "include/rolloverjs.inc.php";

// ... and add code for show/hide menus on the page.
// Since version 1.0.1, thanks to Reto Knaak (reto DOT knaak AT freesurf DOT ch), MWS works with Mozilla.

$buffer .= "

nav = ((document.layers) ? true : false); 
iex = ((document.all) ? true : false);
dom = ((document.getElementById) ? true : false);
opera=((window.opera)?true:false);
konq= ((navigator.vendor == 'KDE')?true:false);
if(opera) iex=false; //ignore spoofing
//alert (\"nav=\"+nav+\" iex=\"+iex+\" dom=\"+dom+\" opera=\"+opera+\" konq=\"+konq);

if (nav) {document.captureEvents(Event.Mousemove);}
else     {document.onmousemove = get_mouse;}

var displayed = -1;
var timeoutID=null;

function changeimg(menuID,imgID, state) {
  if (dom) {
    document.getElementById(imgID).src=eval( 'menuImages.' + imgID + imgArray[state] + '.src')
  } else if (nav) {
    eval (\"document.\"+menuID+\".document.images.\"+imgID+\".src = eval( 'menuImages.' + imgID + imgArray[state] + '.src');\");
    if (state==0) {timeoutID=setTimeout(show,1000,-1)} else (clearTimeout(timeoutID));
  } else if(document.images) {
    eval (\"document.images.\"+imgID+\".src = eval( 'menuImages.' + imgID + imgArray[state] + '.src');\");
  };
};

function get_mouse(e) 
	{
	where=\"out\"; x=0; y=0;
	if (!e) var e = window.event;
      if (e.pageX || e.pageY) 
        {x = e.pageX; y = e.pageY;}
      else if (e.clientX || e.clientY)
        {x = e.clientX; y = e.clientY;
         if( !( opera || konq ) ) {
           if( document.documentElement && ( document.documentElement.scrollTop || document.documentElement.scrollLeft ) ) 
             {x += document.documentElement.scrollLeft; y += document.documentElement.scrollTop;} 
           else if( document.body && ( document.body.scrollTop || document.body.scrollLeft ) ) 
             {x += document.body.scrollLeft; y += document.body.scrollTop;}
           }
         };\n";

$tolerance=5; // Defines virtual borders all around the menu, where the mouse is supposed to still be "inside" of the menu.

// In function of mouse's position, determinates in a menu should be hidden or not.
for ($currentMenu=1;$currentMenu<=$menus;$currentMenu++)
	{
	
	// Mouse over menu titles :
	$posX=$startX;
	$posY=$startY;
	if ($layout=="h") {
		$posX += ($currentMenu-1)*($stepX);
		}
	if ($layout=="v") {
		$posY += ($currentMenu-1)*($stepY);
		}
	$X1=$posX-$tolerance;
	$Y1=$posY-$tolerance;
	$X2=$posX+$tolerance+$hSize[0];
	$Y2=$posY+$tolerance+$vSize[0];
	$buffer .= "	if ((y>=${Y1})&&(y<=${Y2})&&(x>=${X1})&&(x<=${X2})) {where=\"in\";}\n";	
	
	// Mouse over menus :
	$posX=$startX;
	$posY=$startY;
	if ($layout=="h") {
		$posX += ($currentMenu-1)*($stepX);
		}
	if ($layout=="v") {
		$posY += ($currentMenu-1)*($stepY);
		$posX += $stepX;
		}
	$X1=$posX-$tolerance;
	$Y1=$posY-$tolerance;
	$X2=$posX+$tolerance+$hSize[$currentMenu]+4;
	$Y2=$posY+$tolerance+$vSize[$currentMenu]+4;
	if ($layout=="h") {
		$Y2+=$stepY;
		}
	$buffer .= "	if ((displayed==${currentMenu})&&(y>=${Y1})&&(y<=${Y2})&&(x>=${X1})&&(x<=${X2})) {where=\"in\";}\n";	
	}
$buffer .= "	if (where==\"out\") {show(-1);}
}

function show(which)
	{
	displayed=which;";

	for ($currentMenu=1;$currentMenu<=$menus;$currentMenu++) {
$buffer .= "
	if (which==${currentMenu}) {
            if (dom) document.getElementById('menu${currentMenu}').style.visibility='visible';
		if (iex) menu${currentMenu}.style.visibility='visible';
		if (nav) document.menu${currentMenu}.visibility='show';			} 
	else {
		if (dom) document.getElementById('menu${currentMenu}').style.visibility='hidden';
		if (iex) menu${currentMenu}.style.visibility='hidden';
		if (nav) document.menu${currentMenu}.visibility='hidden';
		}";
	}
$buffer .= "
}";

// Transfers the code in $finalJavaScriptCode. We'll need "$buffer" later.
$finalJavaScriptCode=$buffer;
$buffer="";
$HTMLcode=""; 

for ($currentMenu=1;$currentMenu<=$menus;$currentMenu++)
	{
	
	$posX=$startX;
	$posY=$startY;
	if ($layout=="h") { $posX += ($currentMenu-1)*($stepX); $posY += $stepY; }
	if ($layout=="v") { $posY += ($currentMenu-1)*($stepY); $posX += $stepX; }
	
	//$posX=$currentMenu*100;
	//$posY=50;
	$HTMLcode .= "<span id=\"menu$currentMenu\" name=\"menu$currentMenu\" style='position:absolute; left:${posX}px; top:${posY}px; z-index:0; visibility:hidden;'>\n";
	require "include/writemenu.inc.php";
	$HTMLcode .= $buffer; $buffer="";
	$HTMLcode .= "</span>\n";
	}
$HTMLcode .= "<br />";

for ($currentMenu=1;$currentMenu<=$menus;$currentMenu++)
	{
	$n=$currentMenu;
	if ($n<10) $n="0$n";
	$posX=$startX;
	$posY=$startY;
	if ($layout=="h") $posX += ($currentMenu-1)*($stepX);
	if ($layout=="v") $posY += ($currentMenu-1)*($stepY);

	$outFile = "${outDir}${imgDir}${projectName}0$n.$extension";
	$HTMLcode .= "<span id=\"button$currentMenu\" style='position:absolute; left:${posX}px; top:${posY}px; z-index:0; visibility:visible;'>\n";	
	$HTMLcode .= "<a href='javascript:void(0)' onmouseover='show($currentMenu)'>\n";
	$HTMLcode .= "<img src=\"$outFile\" border=\"0\" /></a></span>\n";
	}

if (false)
{
	// This part is kind of interesting :
	// I wanted to put all the HTML code into the .js file (the HTML code should be inserted into 
	// document.write("...") instructions), so the whole menu wouldn't need to be reloaded each time the user
	// asks for a new page. This feature seems to be fully compatible with IE, but unfortunately, Netscape 4.7x
	// doesn't handles it. If somebody has a suggestion...
	
	$HTMLcode.="\n";
	while ($HTMLcode!="")
		{
		$crlf=strpos($HTMLcode,"\n");
		$token=substr($HTMLcode,0,$crlf);
		$HTMLcode=substr($HTMLcode,$crlf+1,strlen($HTMLcode)-$crlf);
		$token = str_replace("\"","\\\"",$token);
		$token = str_replace("\r","",$token);
		$finalJavaScriptCode .= "\ndocument.write (\"${token}\");";
		}

}
else
{
	// ... But instead, let's put the HTML code in the HTML file.
	$HTMLoutput.=$HTMLcode;	
}

// EXPERIMENTAL : I'll try to gain file size again...
// With the four following lines, I shrink the size of the files by 10% in my example !!!

$HTMLoutput = str_replace(" target=\"_self\"","",$HTMLoutput);
$HTMLoutput = str_replace("changeimg","ci",$HTMLoutput);
$HTMLoutput = str_replace("menuImages","MI",$HTMLoutput);
$finalJavaScriptCode = str_replace("menuImages","MI",$finalJavaScriptCode);
$finalJavaScriptCode = str_replace("changeimg","ci",$finalJavaScriptCode);
 
$fout = fopen("${newOutDir}menus.js", "w");
fputs ($fout,$finalJavaScriptCode);
fclose($fout);
displayStatus("Script Menu File : ${newOutDir}menus.js","Created");

$fout = fopen("${newOutDir}menus.html", "w");
fputs ($fout,$HTMLoutput);
fclose($fout);
displayStatus("HTML Menu File :  ${newOutDir}menus.html","Created"); ?>

<br />
<a class="rawText" href="<? echo $newOutDir; ?>menus.html">Click here to see generated file.</a><br />

<?
require "include/footer.inc.php";
?>

